<div class="text-layout">
    <h1>Pipes no ta comunes</h1>
    <p>Pipes incluidos en Angular - Usualmente en el common module</p>
</div>

<div class="p-grid">
    <div class="p-col p-md-6">
        <p-fieldset legend="i18nSelect Pipe" [toggleable]="true">
            <p>
                Saludos {{nombre}}, es un placer {{ genero | i18nSelect:invitacionMapa }} a nuestro evento
            </p>
            <button pButton label="Cambiar persona" class="p-button-help" (click)="cambiarcliente()">

            </button>
        </p-fieldset>
    </div>
    <div class="p-col p-md-6">
        <p-fieldset legend="i18nPlural Pipe" [toggleable]="true">
            <p>
                Actualmente {{clientes.length | i18nPlural:clientesMapa}}
            </p>
            <button pButton label="Borrar cliente" class="p-button-danger" (click)="borrarcliente()">
            </button>
        </p-fieldset>
    </div>
    <div class="p-col p-md-6">
        <p-fieldset legend="Slice Pipe" [toggleable]="true">
            <b>Original</b>
            <pre> {{clientes}} </pre>
            <b>slice:0:2</b>
            <pre> {{clientes | slice:0:2}} </pre>

            <b>slice:1:2</b>
            <pre> {{clientes | slice:1:2}} </pre>
            <b>slice:1:3</b>
            <pre> {{clientes | slice:1:3}} </pre>
            <b>slice:3:4</b>
            <pre> {{clientes | slice:3:4}} </pre>
            <b>slice:0:4</b>
            <pre> {{nombre | slice:0:4}} </pre>
        </p-fieldset>
    </div>

    <div class="p-col p-md-6">
        <p-fieldset legend="Json Pipe" [toggleable]="true">
            <pre>{{heroes | json}}</pre>
        </p-fieldset>
    </div>

    <div class="p-col p-md-6">
        <p-fieldset legend="KeyValue Pipe" [toggleable]="true">
            <ul>
                <li *ngFor="let item of persona | keyvalue">
                    <b>{{item.key|titlecase}}:</b> {{item.value}}
                </li>
            </ul>
        </p-fieldset>
    </div>
    <div class="p-col p-md-6">
        <p-fieldset legend="Async Pipe" [toggleable]="true">
            <pre *ngIf="!(miObservable | async)">Resolviendo promesa</pre>
            <pre> {{miObservable|async}} </pre>
            <pre *ngIf="!(valorPromesa | async)">Resolviendo promesa</pre>
            <pre> {{valorPromesa|async}} </pre>
        </p-fieldset>
    </div>
</div>
